<?php

declare(strict_types=1);

namespace Dedi\SyliusCustomerPricingPlugin\Repository;

use Sylius\Bundle\ResourceBundle\Doctrine\ORM\EntityRepository;

class OrganizationRepository extends EntityRepository implements OrganizationRepositoryInterface
{
    public function findByNamePart(string $name): array
    {
        $queryBuilder = $this->createQueryBuilder('o');
        $queryBuilder
            ->andWhere($queryBuilder->expr()->like('o.name', ':name'))
            ->setParameter('name', '%' . $name . '%')
        ;

        return $queryBuilder->getQuery()->getResult();
    }
}
